DdemlUtil.IDdeConnectionList (JNA API)

com.sun.jna.platform.win32

## Interface DdemlUtil.IDdeConnectionList

- All Superinterfaces:
    java.lang.AutoCloseable, java.io.Closeable
  All Known Implementing Classes:
    DdemlUtil.DdeConnectionList
  Enclosing class:
    DdemlUtil

      public static interface DdemlUtil.IDdeConnectionList
      extends java.io.Closeable

  The IDdeConnectionList wraps a connectionlist.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Destroys the specified conversation list and terminates all conversations associated with the list.
    `Ddeml.HCONVLIST` | `getHandle()`
    `DdemlUtil.IDdeConnection` | `queryNextServer(DdemlUtil.IDdeConnection prevConnection)` Retrieves the next conversation handle in the specified conversation list.

- - ### Method Detail

    - #### getHandle

          Ddeml.HCONVLIST getHandle()

    - #### queryNextServer

          DdemlUtil.IDdeConnection queryNextServer(DdemlUtil.IDdeConnection prevConnection)

      Retrieves the next conversation handle in the specified conversation list.
      Parameters:
        `prevConnection` - A handle to the conversation handle previously returned by this function. If this parameter is NULL, the function returns the first conversation handle in the list.
      Returns:
        If the list contains any more conversation handles, the return value is the next conversation IDdeConnection in the list; otherwise it is NULL.

    - #### close

          void close()

      Destroys the specified conversation list and terminates all conversations associated with the list.

      If the function fails a DdeException is raised with the appropriate errorCode:

      - DMLERR_DLL_NOT_INITIALIZED
      - DMLERR_INVALIDPARAMETER
      - DMLERR_NO_ERROR

      Note: This wraps DdeDisconnectList to align with Closeable wording.

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.